
Redmine - Defect #4497

Wrong info about API key when generated on-the-fly

2009-12-28 13:51 - Felix Schäfer

Status: Closed Start date: 2009-12-28

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

I just updated one installation to current trunk, and the /my/account page displays "Missing an API access key" although it gets

generated and shown if one clicks on the "show" Link. Reloading the page fixes this. I suppose the user-object passed to the view to

make the decision to display "Missing an API access key" or something else is stale and doesn't yet have the info that there in fact is

an API key.

Associated revisions

Revision 3265 - 2009-12-30 01:25 - Eric Davis

Create and assign the api token so the current instance can access it. (#4497)

History

#1 - 2009-12-30 01:21 - Eric Davis

- Status changed from New to Closed

- Target version set to 0.9.0

- % Done changed from 0 to 100

- Resolution set to Fixed

Thanks for the bug report, this is fixed in r3265 (r3266 in 0.9-stable).  You were correct about a stale object, the API key was being generated on the

fly but the user on the view didn't see any key.
